new Vue({
  el: '#app',
  data(){
		return {
			title: '',// 标题
      type: '', // 查询类型 card  diamonds
      customer: '',
      min_date: '',// 时间
      max_date: '',
      p: 1, // 当前页
      limit: 10, // 每页显示多少条
      total: 0, //
      cardTabs: [
        {
          name: '充卡',
          type: 1
        },
        {
          name: '进卡',
          type: 5
        },
        {
          name: '客服赠送',
          type: 9
        },
        {
          name: '系统赠送',
          type: 6
        }
      ], // 房卡查询tabs
      diamondTabs: [
        {
          name: '充值钻石',
          type: 1
        },
        {
          name: '购买钻石',
          type: 2
        },
        {
          name: '客服钻石',
          type: 3
        }
      ],
      tabs: [], // tabs显示数据
      loading: false,
      finished: false,
      selectedTab: 0,
      info: [],
      statistics: '',
      scroll: true,
		}
  },
  mounted() {
    this.type = getURL('type') || 'card'
    if (this.type === 'card') {
      this.title = '用卡查询'
      this.tabs = this.cardTabs
    } else {
      this.title = '钻石查询'
      this.tabs = this.diamondTabs
    }
    $('#date-end').val(dateFormat(new Date()))
    var date1 = new Date()
    date1.setMonth(date1.getMonth()-3);
    var before3month = date1.toLocaleDateString()
    var optDateTime = {
      preset : 'date',
      theme: 'android-ics light', //皮肤样式
      display: 'modal', //显示方式 
      mode: 'scroller', //日期选择模式
      dateFormat: 'yy-mm-dd',
      lang: 'zh',
      showNow: true,
      nowText: "今天",
      minDate: new Date(before3month),//最小日期
      maxDate: new Date(),//最大日期
    }
    $("#date-begin").mobiscroll(optDateTime).date(optDateTime);
    $("#date-end").mobiscroll(optDateTime).date(optDateTime);
    this.getCardInfo()
    var counted = document.getElementById('counted');
    var _this = this
    counted.onscroll = function() {
        if(this.scrollHeight == this.clientHeight + this.scrollTop){
          _this.p = _this.p + 1
          console.log(Math.ceil(_this.total /10))
          console.log(_this.p)
          if (Math.ceil(_this.total /10) < _this.p) {
            return;
          }
          _this.getCardInfo()
        }
    };
  },
  methods: {
    showLoading() {
      this.loading = true
      this.finished = false
    },
    showFinish() {
      this.loading = true
      this.finished = true
    },
    /**
     * 查询
     */
    search() {
      this.min_date = $('#date-begin').val()
      this.max_date = $('#date-end').val()
      console.log(this.min_date,this.max_date,this.customer)
      this.info = []
      this.getCardInfo();
    },
    /**
     * 标签点击
     * @param {number} index 选中的索引 
     */
    clickTab(index) {
      this.selectedTab = index
      this.info = []
      this.getCardInfo();
    },
    /**
     * 获取信息
     */
    getCardInfo(){
      var _this = this
      var params = {
        type: this.cardTabs[this.selectedTab].type,
        customer: this.customer,
        min_date: this.min_date,
        max_date: this.max_date,
        p: this.p,
        limit: 10
      }
      this.loading = true
      this.finished = false
      let url = '',unit = ''
      if (this.type === 'card') {
        url = '/api/buy/getroomcardlog'
        unit = '张'
      } else {
        url = '/api/buy/getdiamondslog'
        unit = '个'
      }
      getAjax(url,'post',params,function(res){
        _this.loading = false
        if (res.data) {
          _this.info = _this.info.concat(res.data.datas)
          _this.total = res.data.total
          _this.statistics = '共充卡' + res.data.statistics.total + unit
        } else{
          _this.statistics = '共充卡0'+unit
        }
      })
    },
  }
})